SystemOrganization addCategory: #'UnixMetaStack-Profiling'!

Object subclass: #Experiment
	instanceVariableNames: 'runs evalString'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'UnixMetaStack-Profiling'!

!Experiment class methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:24'!
newWith: aString

	^ self new
		evalString: aString.! !

!Experiment methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:23'!
evalString: aString

	evalString := aString! !

!Experiment methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:09'!
numberOfRuns

	^ 100! !

!Experiment methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:29'!
run

	! !

!Experiment methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 12:53'!
runClass

	self subclassResponsibility ! !

Experiment subclass: #VanillaExperiment
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'UnixMetaStack-Profiling'!

VanillaExperiment subclass: #ProfileExperiment
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'UnixMetaStack-Profiling'!

ProfileExperiment subclass: #ExtendedProfileExperiment
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'UnixMetaStack-Profiling'!

!ExtendedProfileExperiment methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:16'!
runClass

	^ ExtendedProfileExperimentRun ! !

!ProfileExperiment methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:16'!
runClass

	^ ProfileExperimentRun! !

!VanillaExperiment methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:15'!
runClass

	^ VanillaExperimentRun! !

Object subclass: #ExperimentSetUp
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'UnixMetaStack-Profiling'!

!ExperimentSetUp class methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:48'!
exportToFuel! !

!ExperimentSetUp class methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:48'!
exportToOctave! !

!ExperimentSetUp class methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:48'!
run! !

!ExperimentSetUp methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:35'!
allPredictionCategories! !

!ExperimentSetUp methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:31'!
allTrainingCategories! !

!ExperimentSetUp methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 17:57'!
calculateAllTrainingCategories! !

!ExperimentSetUp methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 17:57'!
calculateGreenTrainingCategories! !

!ExperimentSetUp methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:35'!
greenPredictionCategories! !

!ExperimentSetUp methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:31'!
greenTrainingCategories! !

!ExperimentSetUp methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:38'!
numberOfRunsForEachCategory

	^ 100! !

Object subclass: #Run
	instanceVariableNames: 'evalString rawOutput'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'UnixMetaStack-Profiling'!

!Run class methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:20'!
newWith: aString

	^ self new
		evalString: aString! !

!Run methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:19'!
evalString: aString

	evalString := aString! !

!Run methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 12:58'!
parseOutput

	self subclassResponsibility ! !

!Run methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:03'!
path

	^ '/home/art/Desktop/june/mStackVM/sources/results'! !

!Run methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:08'!
run

	"rawOutput := OSProcess ..."
	self parseOutput.! !

!Run methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 12:55'!
vm

	self subclassResponsibility ! !

Run subclass: #VanillaExperimentRun
	instanceVariableNames: 'realTime userTime systemTime'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'UnixMetaStack-Profiling'!

VanillaExperimentRun subclass: #ProfileExperimentRun
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'UnixMetaStack-Profiling'!

ProfileExperimentRun subclass: #ExtendedProfileExperimentRun
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'UnixMetaStack-Profiling'!

!ExtendedProfileExperimentRun methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 12:47'!
vm

	^ 'ExtendedProfileStackVM'! !

!ProfileExperimentRun methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:04'!
parseOutput

	super parseOutput.
	"specific for this class"! !

!ProfileExperimentRun methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 12:46'!
vm

	^ 'ProfileStackVM'! !

!VanillaExperimentRun methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 13:08'!
parseOutput

	""! !

!VanillaExperimentRun methodsFor: 'as yet unclassified' stamp: 'NickPapoulias 6/13/2014 12:43'!
vm

	^ 'StackVM'! !
